Class Index | File Index

## Classes

- _global_
- jQuery.fn.minplayer
- minplayer.async
- minplayer.compatibility
- minplayer.display
- minplayer.file
- minplayer.flags
- minplayer.image
- minplayer.players.base
- minplayer.players.flash
- minplayer.players.html5
- minplayer.players.minplayer
- minplayer.players.vimeo
- minplayer.players.youtube
- minplayer.plugin

# Class minplayer.players.html5

Extends minplayer.display.
The HTML5 media player implementation.
Defined in: minplayer.players.html5.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| minplayer.players.html5(context, options, queue)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| constructor Reset the constructor.

Fields borrowed from class minplayer.display:
  onResize
Fields borrowed from class minplayer.plugin:
  active, context, lock, name, options, pluginReady, queue, triggered

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addPlayerEvent(type, callback) Adds a new player event.
| addPlayerEvents() Add events.
<static> | minplayer.players.html5.canPlay(file)
| construct()
| create()
| getBytesLoaded(callback)
| getBytesTotal(callback)
| getCurrentTime(callback)
| getDuration(callback)
| getPlayer()
<static> | minplayer.players.html5.getPriority(file)
| getVolume(callback)
| load(file)
| onReady()
| pause()
| play()
| playerFound()
| seek(pos)
| setVolume(vol)
| stop()

Methods borrowed from class minplayer.display:
  fullscreen, fullScreenElement, getDisplay, getElements, getScaledRect, hide, isFullScreen, onFocus, toggleFullScreen
Methods borrowed from class minplayer.plugin:
  addPlugin, bind, checkQueue, destroy, get, isValid, poll, ready, trigger, unbind

Class Detail
minplayer.players.html5(context, options, queue)

Parameters:
{object} context
  The jQuery context.
{object} options
  This components options.
{object} queue
  The event queue to pass events around.

Field Detail
constructor
Reset the constructor.
Method Detail
addPlayerEvent(type, callback)
Adds a new player event.

Parameters:
{string} type
  The type of event being fired.
{function} callback
  Called when the event is fired.

{boolean} addPlayerEvents()
Add events.

Returns:
  {boolean} If this action was performed.

<static> {boolean} minplayer.players.html5.canPlay(file)

Parameters:
file

Returns:
  {boolean} If this player can play this media type.

See:
  minplayer.players.base#canPlay

construct()

See:
  minplayer.plugin.construct

{object} create()

Returns:
  {object} The media player entity.

See:
  minplayer.players.base#create

getBytesLoaded(callback)

Parameters:
callback

See:
  minplayer.players.base#getBytesLoaded

getBytesTotal(callback)

Parameters:
callback

See:
  minplayer.players.base#getBytesTotal

getCurrentTime(callback)

Parameters:
callback

See:
  minplayer.players.base#getCurrentTime

getDuration(callback)

Parameters:
callback

See:
  minplayer.players.base#getDuration

{object} getPlayer()

Returns:
  {object} The media player object.

See:
  minplayer.players.base#getPlayer

<static> {number} minplayer.players.html5.getPriority(file)

Parameters:
{object} file
  A minplayer.file object.

Returns:
  {number} The priority of this media player.

See:
  minplayer.players.base#getPriority

getVolume(callback)

Parameters:
callback

See:
  minplayer.players.base#getVolume

{boolean} load(file)

Parameters:
file

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#load

onReady()

See:
  minplayer.players.base#onReady

{boolean} pause()

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#pause

{boolean} play()

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#play

{boolean} playerFound()

Returns:
  {boolean} TRUE - if the player is in the DOM, FALSE otherwise.

See:
  minplayer.players.base#playerFound

{boolean} seek(pos)

Parameters:
pos

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#seek

{boolean} setVolume(vol)

Parameters:
vol

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#setVolume

{boolean} stop()

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#stop

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 04 2012 19:54:20 GMT-0700 (PDT)